package com.ruoyi.brewery.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 品牌方标签套打模板对象 wy_brewery_tag_print_template
 * 
 * @author ruoyi
 * @date 2025-02-15
 */
public class WyBreweryTagPrintTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模板id */
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String templateName;

    /** 品牌方id */
    @Excel(name = "品牌方id")
    private Long breweryId;

    /** 宽度 mm */
    @Excel(name = "宽度 mm")
    private Long pageWidth;

    /** 高度 mm */
    @Excel(name = "高度 mm")
    private Long pageHeight;

    /** 打印元素 */
    @Excel(name = "打印元素")
    private String elements;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTemplateName(String templateName) 
    {
        this.templateName = templateName;
    }

    public String getTemplateName() 
    {
        return templateName;
    }
    public void setBreweryId(Long breweryId) 
    {
        this.breweryId = breweryId;
    }

    public Long getBreweryId() 
    {
        return breweryId;
    }
    public void setPageWidth(Long pageWidth) 
    {
        this.pageWidth = pageWidth;
    }

    public Long getPageWidth() 
    {
        return pageWidth;
    }
    public void setPageHeight(Long pageHeight) 
    {
        this.pageHeight = pageHeight;
    }

    public Long getPageHeight() 
    {
        return pageHeight;
    }
    public void setElements(String elements) 
    {
        this.elements = elements;
    }

    public String getElements() 
    {
        return elements;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("templateName", getTemplateName())
            .append("breweryId", getBreweryId())
            .append("pageWidth", getPageWidth())
            .append("pageHeight", getPageHeight())
            .append("elements", getElements())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
